Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezquiz/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6484 2001-08-17 13:36:01Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 // include_once( "classes/ezhttptool.php" );
29 // include_once( "ezuser/classes/ezpermission.php" );
30
31 $user =& eZUser::currentUser();
32 if( eZPermission::checkPermission( $user, "eZSiteManager", "ModuleEdit" ) == false )
33 {
34 eZHTTPTool::header( "Location: /error/403" );
35 exit();
36 }
37
38 $url_array = explode( "/", $REQUEST_URI );
39
40 switch ( $url_array[2] )
41 {
42 case "game":
43 {
44 switch ( $url_array[3] )
45 {
46 case "list":
47 {
48 if ( $url_array[4] == "parent" )
49 $Offset = $url_array[5];
50 include( "kernel/ezquiz/admin/gamelist.php" );
51 }
52 break;
53
54 case "edit":
55 {
56 if ( isset( $url_array[4] ) && is_numeric( $url_array[4] ) )
57 {
58 $GameID = $url_array[4];
59 $Action = "edit";
60 }
61 else
62 {
63 $GameID = false;
64 }
65
66 include ( "kernel/ezquiz/admin/gameedit.php" );
67 }
68 break;
69 case "new":
70 case "delete":
71 case "update":
72 case "insert":
73 {
74 if ( isset( $url_array[4] ) && is_numeric( $url_array[4] ) )
75 {
76 $GameID = $url_array[4];
77 }
78 else
79 {
80 $GameID = false;
81 $Action = "New";
82 }
83
84 include ( "kernel/ezquiz/admin/gameedit.php" );
85 }
86 break;
87
88 case "questionedit":
89 {
90 if ( is_numeric( $url_array[4] ) )
91 $QuestionID = $url_array[4];
92 include ( "kernel/ezquiz/admin/questionedit.php" );
93 }
94 break;
95 }
96 break;
97
98 }
99 break;
100
101 default :
102 {
103 eZHTTPTool::header( "Location: /error/404" );
104 exit();
105 }
106 break;
107 }
108
109 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$Action
$Action
Definition: companysearch.php:80
$QuestionID
$QuestionID
Definition: default.php:30
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$user
$user
Definition: ezquiz/admin/datasupplier.php:31
$url_array
if(eZPermission::checkPermission( $user, "eZSiteManager", "ModuleEdit")==false) $url_array
Definition: ezquiz/admin/datasupplier.php:38
exit
exit
Definition: folder.php:81
$REQUEST_URI
$REQUEST_URI
Definition: storestats.php:32
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.